Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep.function
Class FromBase

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.lsmp.djep.xjep.function.FromBase

All Implemented Interfaces:
  PostfixMathCommandI

    public class FromBase

extends PostfixMathCommand

Author:
  Rich Morris Created on 02-May-2005

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`FromBase()`
`FromBase(int base)`
`FromBase(int base, java.lang.String prefix)`

Method Summary
`java.lang.Object` | `fromBase(java.lang.String str, int base)`
`void` | `run(java.util.Stack s)` Throws an exception because this method should never be called under normal circumstances.

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromBase

    public FromBase()

### FromBase

    public FromBase(int base)

### FromBase

    public FromBase(int base,
                    java.lang.String prefix)

Method Detail

### run

    public void run(java.util.Stack s)
             throws ParseException

  Description copied from class: `PostfixMathCommand`
  Throws an exception because this method should never be called under normal circumstances. Each function should use it's own run() method for evaluating the function. This includes popping off the parameters from the stack, and pushing the result back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Overrides:
    `run` in class `PostfixMathCommand`
  Throws:
    `ParseException`

### fromBase

    public java.lang.Object fromBase(java.lang.String str,
                                     int base)
                              throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems